define(['jquery', 'bootstrap', 'frontend', 'template', 'form'], function ($, undefined, Frontend, Template, Form) {
    var Controller = {
        index: function () {
            $('.poster').each(function () {
                var poster_id = $(this).data('poster_id');
                Fast.api.ajax({
                    url: "poster/getposter/poster_id/" + poster_id,
                }, function (data, ret) {
                    console.log(ret);
                    $('.poster').html('<img src="' + ret.data + '" style="width: 400px;">');
                    return false;
                }, function (data, ret) {

                });
            });
            return false;
        }
    };
    return Controller;
});